#!/bin/sh

. ./_blfsset.sh

APPNAME=libpng
VER=1.6.35
TARGET=$APPNAME-$VER
TARGETBALL=$DLD/$TARGET.tar.xz
TARGETDIR=$TARGET

echo $TARGET

. $WRK/_checkRequired.sh ""
. $WRK/_checkOptions.sh  ""
. $WRK/_checkTarball.sh
. $WRK/_checkExit.sh "$1" || exit $?

cd $SRC
RemoveSrcDir
Extract

TimeStart

cd $TARGETDIR

Patching
gzip -cd $DLD/libpng-$VER-apng.patch.gz | patch -p1 \
	1> $LOG/$TARGET.0_patch.log 2>&1 || exit 1
#sed -i '2138,2140 s/^/#/' Makefile.in

Configuring
LIBS=-lpthread \
./configure --prefix=/usr --disable-static \
	1> $LOG/$TARGET.1_conf.log 2>&1 || exit 1

Making
make \
	1> $LOG/$TARGET.2_make.log 2>&1 || exit 1

Installing
porg -lp $TARGET "make install" \
	1> $LOG/$TARGET.3_install.log 2>&1 || exit 1

mkdir -p /usr/share/doc/libpng-$VER
porg -lp+ $TARGET "\
cp -v README libpng-manual.txt /usr/share/doc/libpng-$VER" \
	1>> $LOG/$TARGET.3_install.log 2>&1 || exit 1

TimeEnd

cd ..
RemoveSrcDir
PorgingDone
